<?php

// Heading -----------------------------
vc_map( array (
    'base' 			=> 'heading',
    'name' 			=> __('Heading', 'avo_plg'),
    'category' 		=> __('avo', 'avo_plg'),
    "weight"	=> "1000",
    'class'         => 'avo_plg_element',
    'description' 	=> __('Create custom heading element', 'avo_plg'),
    'params' 		=> array (

        array (
            'param_name' 	=> 'title',
            'type' 			=> 'textfield',
            'heading' 		=> __('Title', 'avo_plg'),
            'admin_label'	=> true,
        ),

        array(
            "type" => "checkbox",
            "heading" => __( "Title format", "pix-opts" ),
            "param_name" => "bold",
            "value" => array("Bold" => "font-weight-bold"),
            "std" => "font-weight-bold"
        ),
        array(
            "type" => "checkbox",
            "param_name" => "italic",
            "value" => array("Italic" => "font-italic",),
        ),

        array (
            'param_name' 	=> 'title_custom_color',
            'type' 			=> 'colorpicker',
            'heading' 		=> __('Title color', 'avo_plg'),
            'admin_label'	=> false,
            "dependency" => array(
                "element" => "title_color",
                "value" => "custom"
            ),
        ),

        array (
            'param_name' 	=> 'title_size',
            'type' 			=> 'dropdown',
            'heading' 		=> __('Title size', 'avo_plg'),
            'description' 	=> __('Wrap title into H1 instead of H2', 'avo_plg'),
            'admin_label'	=> false,
            'value' 		=> array(
                __('H1','avo_plg') 	=> 'h1',
                __('H2','avo_plg')	    => 'h2',
                __('H3','avo_plg')	    => 'h3',
                __('H4','avo_plg')	    => 'h4',
                __('H5','avo_plg')	    => 'h5',
                __('H6','avo_plg')	    => 'h6',
                __('Custom','avo_plg')	    => 'custom',
            ),
        ),

        array (
            'param_name' 	=> 'display',
            'type' 			=> 'dropdown',
            'heading' 		=> __('Bigger Text', 'avo_plg'),
            'description' 	=> __('Larger heading text size to stand out.', 'avo_plg'),
            'admin_label'	=> false,
            'value'			=> array_flip(array(
                ''		=> 'None',
                'display-1'		=> 'Display 1',
                'display-2'		=> 'Display 2',
                'display-3'		=> 'Display 3',
                'display-4'		=> 'Display 4',
            )),
            "dependency" => array(
                "element" => "title_size",
                "value" => array('h1', 'h2', 'h3', 'h4', 'h5', 'h6')
            ),
        ),

        array (
            'param_name' 	=> 'title_custom_size',
            'type' 			=> 'textfield',
            'heading' 		=> __('Title Size', 'avo_plg'),
            'admin_label'	=> false,
            "dependency" => array(
                "element" => "title_size",
                "value" => "custom"
            ),
        ),

        array (
            'param_name' 	=> 'position',
            'type' 			=> 'dropdown',
            'heading' 		=> __('Position', 'avo_plg'),
            'description' 	=> __('Select the position of the heading.', 'avo_plg'),
            'admin_label'	=> false,
            'value'			=> array_flip(array(
                'text-center'		=> 'Center',
                'text-left'			=> 'Left',
                'text-right' 		=> 'Right',
            )),
        ),

        array (
            'param_name' 	=> 'delay',
            'type' 			=> 'textfield',
            'heading' 		=> __('Animation delay (in miliseconds)', 'avo_plg'),
            'admin_label'	=> true,
            "dependency" => array(
                "element" => "animation",
                "not_empty" => true
            ),
        ),


        array (
            'param_name' 	=> 'image',
            'type' 			=> 'attach_image',
            'heading' 		=> __('Use image as text color', 'avo_plg'),
            'description' 	=> __('The image will be visible inside the text characters.', 'avo_plg'),
            'admin_label'	=> false,
            'group'         => "Advanced",
        ),

        array (
            'param_name' 	=> 'heading_id',
            'type' 			=> 'textfield',
            'heading' 		=> __('Heading ID', 'avo_plg'),
            'admin_label'	=> true,
            'group'         => "Advanced",
        ),

        array (
            'param_name' 	=> 'max_width',
            'type' 			=> 'textfield',
            'heading' 		=> __('Text max width (Optional)', 'avo_plg'),
            'description' 	=> __('Input text width limit (with unit, for example 400px) instead of filling the width of the container.', 'avo_plg'),
            'admin_label'	=> true,
        ),

        array(
            'type' => 'css_editor',
            'heading' => __( 'Css', 'avo_plg' ),
            'param_name' => 'css',
            'group' => __( 'Design options', 'avo_plg' ),
        ),



    )
));

?>
